module RAM(ram_addr, ram_datain, ram_we, ram_dataout, ram_re, clk);

input [15:0] ram_addr;
input [15:0] ram_datain;
input ram_we;
input ram_re;
input clk;

reg [15:0] MEM [255:0];



output reg [15:0] ram_dataout;


always @(posedge clk) begin
  if (ram_re) begin
    if (ram_we) MEM[ram_addr] <= ram_datain;
    ram_dataout <= MEM[ram_addr];
  end
end


endmodule
